메인 콘텐츠로 건너뛰기

MACT 개요

X 모바일 앱 프로모션 측정을 통해 광고주는 X에서 집행하는, 앱 설치나 기타 인앱 전환을 유도하도록 설계된 광고 캠페인의 성과를 추적할 수 있습니다. X 모바일 측정 파트너는 광고주가 X에서 프로모션 중인 앱에서 어떤 전환을 추적할지 관리할 수 있는 기능을 제공합니다. 광고주가 추적하려는 이벤트의 type과 시간 범위를 설정하면, 모바일 측정 파트너는 해당하는 모든 이벤트를 X로 전송하고, 사용자의 전환을 유도한 캠페인과 크리에이티브가 무엇인지 나타내는 어트리뷰션 데이터를 즉시 수신합니다.

전환 이벤트

X에 전환 이벤트를 보고하고 어트리뷰션 데이터를 받으려면, 파트너는 모바일 App ID, 전환의 type 및 타임스탬프, 그리고 광고/디바이스 ID의 해싱된 값을 전송해야 합니다. 이 데이터를 제공하면 X 플랫폼에 전환 이벤트가 기록되며, 적절한 경우 해당 어트리뷰션이 반환됩니다. 추가로, 광고주는 구매 금액, 상품 ID, 회원 가입 방식과 같은 전환 이벤트에 대한 추가 메타데이터를 제공하기로 선택할 수 있습니다.

API 참조 문서

전환 이벤트

POST conversion_event

모바일 측정 전환 이벤트를 기록합니다. 응답에는 X 또는 X Audience Platform(TAP) 기여(attribution)가 표시됩니다. 이는 GET conversion_attribution 엔드포인트와 관련이 있습니다. 응답에서는 X, TAP 또는 기여 없음 중 하나만이 적용됩니다. twitter_attribution 노드는 항상 포함되며, X 기여가 없는 경우 값이 null입니다(아래 예시 응답 참조). TAP 기여가 적용되는 경우 tpn_attribution 노드가 존재하며, 해당 값으로 채워집니다. 자세한 내용은 TAP 개요를 참조하세요. 각 전환 이벤트에 연결된 메타데이터를 설정하기 위한 여러 선택적 매개변수를 사용할 수 있습니다. 이 메타데이터는 기여도 계산에 아무런 영향을 미치지 않습니다.
리소스 URL
https://ads-api.x.com/12/conversion_event
매개변수
NameDescription
app_id
required
해당 앱 스토어에서의 고유 식별자입니다.

Type: int, string

Example: 333903271, com.vine.android
conversion_time
required
변환 이벤트가 발생한 시간으로, 밀리초가 포함된 ISO-8601 타임스탬프 형식입니다.

Type: string

Example: 2014-05-22T02:38:28.103Z
conversion_type
required
변환 이벤트의 유형입니다.

Type: enum

Possible values: PURCHASE, SIGN_UP, INSTALL, RE_ENGAGE, UPDATE, TUTORIAL_COMPLETE, RESERVATION, ADD_TO_CART, ADD_TO_WISHLIST, LOGIN, CHECKOUT_INITIATED, SEARCH, LEVEL_ACHIEVED, ACHIEVEMENT_UNLOCKED, CONTENT_VIEW, SHARE, INVITE, ADDED_PAYMENT_INFO, SPENT_CREDITS, RATED
hashed_device_id
required
HMAC_SHA-256으로 해시된 IDFA 또는 AdID입니다.

Type: string

Example: ABCD1234XYZ
os_type
required
앱의 OS 유형입니다.

Type: enum

Possible values: IOS, ANDROID
click_window
optional
이 이벤트에 대한 클릭 윈도(일 기준)입니다.

Type: int

참고: click_window 값은 view_through_window 이상이어야 합니다.

Default: 14
Possible values: 1, 7, 14, 30
device_ip_address
optional
변환 이벤트가 발생했을 때 디바이스의 IPv4 또는 IPv6 주소입니다.

Type: string

Example: 192.133.78.1
level
optional
이 이벤트와 연관된 레벨입니다.

Type: int

Example: 2
non_twitter_engagement_time
optional
변환 이전에 발생한, X 외부 참여의 마지막 시간입니다.

Type: string

Example: 2014-05-22T02:38:28.103Z
non_twitter_engagement_type
optional
변환 이벤트 이전에 발생한, X 외부 참여의 유형입니다.

Type: enum

Possible values: CLICK, VIEW
number_items
optional
이 이벤트와 연관된 항목 수입니다.

Type: int

Example: 2
price_currency
optional
이 이벤트와 연관된 통화를 나타내는 ISO 4217 코드여야 합니다.

Type: String

Examples: EUR,USD,JPY
price_micro
optional
이 이벤트와 연관된 가격(마이크로 단위)입니다.

Type: int

Example: 123450000
user_payment_info
optional
이 이벤트와 연관된 앱에 사용자의 결제 정보가 저장되어 있는지 여부를 나타내는 불리언 값입니다.

Type: bool

Possible values: true or false
view_through_window
optional
이 이벤트의 뷰 스루 윈도(일 기준)입니다.

참고:

click_window 값은 view_through_window 이상이어야 합니다.

Type: int

Default: 1
Possible values: 0, 1, 7, 14, 30
예시 요청
https://ads-api.x.com/12/conversion_event?app_id=333903271&os_type=IOS&hashed_device_id=ABCD1234XYZ&conversion_type=INSTALL&conversion_time=2013-04-16T07:00:00.123Z&click_window=14&view_through_window=1
응답 예시
    {
      "data": {
        "conversion_value_micro": 0,
        "view_through_window": 1,
        "tpn_attribution": null,
        "conversion_time": "2017-01-21T01:14:00.602Z",
        "click_window": 30,
        "limit_ad_tracking": false,
        "event_metadata": null,
        "non_twitter_engagement_type": null,
        "conversion_type": "INSTALL",
        "partner_client_id": "com.appname contact id",
        "app_id": "com.appname",
        "hashed_device_id": "lke1GZa3AseB343ZcCQq7svfHzLfuSqyYnE+Rf49MOI=",
        "twitter_attribution": {
          "country_code": "US",
          "engagement_time": "2017-01-21T01:13:00.602Z",
          "engagement_type": "CLICK",
          "attribution_type": "PROMOTED",
          "promoted_properties": {
            "campaign_id": "4ns44",
            "line_item_id": "3x44d",
            "publisher_app_id": "333903271"
            "account_id":"18ce11e3egb",
            "line_item_objective": "APP_INSTALLS",
            "campaign_name": null
          },
          "tweet_id": "11434635565377600"
        },
        "os_type": "ANDROID",
        "non_twitter_engagement_time": null
      },
      "request": {
        "params": {
          "version_number": "1",
          "app_id": "com.appname",
          "conversion_type": "INSTALL",
          "os_type": "ANDROID",
          "hashed_device_id": "lke1GZa3AseB343ZcCQq7svfHzLfuSqyYnE+Rf49MOI=",
          "conversion_time": "2017-01-21T01:14:00.602Z",
          "click_window": "30",
          "view_through_window": "1",
          "limit_ad_tracking": "false"
        }
      }
    }

App 이벤트 태그

GET accounts/:account_id/app_event_tags

현재 계정에 연관된 일부 또는 모든 app event tag의 세부 정보를 조회합니다. 이는 Mobile App Conversion Tracking에서 각 전환 type별로 설정되는 전환 기간(conversion window)을 정의합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_event_tags
Parameters
NameDescription
account_id
required
대상 계정을 식별하는 값입니다. 이 값은 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연관되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
app_event_tag_ids
optional
쉼표로 구분된 식별자 목록을 지정하여 원하는 App 이벤트 태그만 응답에 포함되도록 범위를 제한합니다. 최대 200개의 ID를 제공할 수 있습니다.

Type: string

Example: jhp
count
optional
각 요청마다 조회를 시도할 레코드 수를 지정합니다.

Type: int

Default: 200
Min, Max: 1, 1000
cursor
optional
다음 페이지의 결과를 가져오기 위한 커서를 지정합니다. 자세한 내용은 Pagination을 참조하세요.

Type: string

Example: 8x7v00oow
sort_by
optional
지원되는 속성을 기준으로 오름차순 또는 내림차순으로 정렬합니다. 자세한 내용은 Sorting을 참조하세요.

Type: string

Example: created_at-asc
with_deleted
optional
요청 결과에 삭제된 항목도 포함합니다.

Type: boolean

Default: false
Possible values: true, false
with_total_count
optional
응답에 total_count 속성을 포함합니다.

Note: 이 매개변수와 cursor는 동시에 사용할 수 없습니다.

Note: total_count를 포함하는 요청에는 더 낮은 요청 한도가 적용되며, 현재 15분당 200으로 설정되어 있습니다.

Type: boolean

Default: false
Possible values: true, false
요청 예시
GET https://ads-api.x.com/12/accounts/18ce54d4x5t/app_event_tags?app_event_tag_ids=jhp
예시 응답
    {
      "request": {
        "params": {
          "app_event_tag_ids": [
            "jhp"
          ],
          "account_id": "18ce54d4x5t"
        }
      },
      "next_cursor": null,
      "data": [
        {
          "provider_app_event_name": null,
          "app_store_identifier": "co.vine.android",
          "post_view_attribution_window": 1,
          "deep_link_scheme": "vine://",
          "id": "jhp",
          "retargeting_enabled": true,
          "conversion_type": "INSTALL",
          "created_at": "2016-12-08T07:49:58Z",
          "post_engagement_attribution_window": 14,
          "provider_app_event_id": null,
          "last_tracked_at": "2021-05-22T17:00:04Z",
          "status": "TRACKING",
          "updated_at": "2016-12-08T23:07:54Z",
          "os_type": "ANDROID",
          "deleted": false
        }
      ]
    }

GET accounts/:account_id/app_event_tags/:app_event_tag_id

현재 계정과 연결된 특정 앱 이벤트 태그를 조회합니다. 이 태그는 Mobile App Conversion Tracking에서 각 전환 유형별로 설정되는 전환 기간을 정의합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_event_tags/:app_event_tag_id
매개변수
NameDescription
account_id
required
레버리지 계정(leveraged account)을 식별하는 식별자입니다. 리소스의 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
app_event_tag_id
required
요청에서 사용 중인 app 이벤트 태그에 대한 참조입니다.

Type: string

Example: jhp
with_deleted
optional
삭제된 결과를 요청에 포함합니다.

Type: boolean

Default: false
Possible values: true, false

예제 요청

GET https://ads-api.x.com/12/accounts/18ce54d4x5t/app_event_tags/jhp

예시 응답

    {
      "request": {
        "params": {
          "app_event_tag_id": "jhp",
          "account_id": "18ce54d4x5t"
        }
      },
      "data": {
        "provider_app_event_name": null,
        "app_store_identifier": "co.vine.android",
        "post_view_attribution_window": 1,
        "deep_link_scheme": "vine://",
        "id": "jhp",
        "retargeting_enabled": true,
        "conversion_type": "INSTALL",
        "created_at": "2016-12-08T07:49:58Z",
        "post_engagement_attribution_window": 14,
        "provider_app_event_id": null,
        "last_tracked_at": "2021-05-22T17:00:04Z",
        "status": "TRACKING",
        "updated_at": "2016-12-08T23:07:54Z",
        "os_type": "ANDROID",
        "deleted": false
      }
    }

POST accounts/:account_id/app_event_tags

현재 계정에 연결된 새 앱 이벤트 태그를 생성합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_event_tags
Parameters
NameDescription
account_id
required
사용할 계정의 식별자입니다. 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 파라미터입니다. 지정된 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
app_store_identifier
required
앱 스토어 식별자입니다.

Type: string

Example: com.twitter.android
conversion_type
required
전환 이벤트의 type입니다.

Type: enum

Possible values: ACHIEVEMENT_UNLOCKED, ADDED_PAYMENT_INFO, ADD_TO_CART, ADD_TO_WISHLIST, CHECKOUT_INITIATED, CONTENT_VIEW, INSTALL, INVITE, LEVEL_ACHIEVED, LOGIN, PURCHASE, RATED, RESERVATION, RE_ENGAGE, SEARCH, SHARE, SIGN_UP, SPENT_CREDITS, TUTORIAL_COMPLETE, UPDATE
os_type
required
앱의 OS type입니다.

Type: enum

Possible values: IOS, ANDROID
provider_app_event_id
required
공급자 사이트의 전환 태그 ID입니다.

Type: string

Example: provider_tag_j5394
provider_app_event_name
required
공급자 사이트의 전환 태그 이름입니다.

Type: string

Example: provider_name_a4382
deep_link_scheme
optional
이 태그와 연결된 앱의 딥 링크 URI를 지정합니다.

Type: string

Example: twitter://
post_engagement_attribution_window
optional
이러한 이벤트에 대한 참여 이후 전환 기여 기간입니다.

Type: int

Default: 30
Possible values: 1, 7, 14, 30
post_view_attribution_window
optional
이러한 이벤트에 대한 노출 이후 전환 기여 기간입니다.

Type: int

Default: 1
Possible values: 0, 1, 7, 14, 30
retargeting_enabled
optional
이 앱 이벤트 태그에 대해 리타게팅을 활성화할지 여부를 지정합니다.

Type: boolean

Default: true
Possible values: true, false
요청 예시
POST https://ads-api.x.com/12/accounts/18ce54d4x5t/app_event_tags?app_store_identifier=com.twitter.android&os_type=ANDROID&conversion_type=PURCHASE&provider_app_event_id=abc123&provider_app_event_name=test-tag
응답 예시
    {
      "data": {
        "provider_app_event_name": "test-tag",
        "app_store_identifier": "com.twitter.android",
        "post_view_attribution_window": 1,
        "deep_link_scheme": "https://",
        "id": "3p3t",
        "retargeting_enabled": true,
        "conversion_type": "PURCHASE",
        "created_at": "2017-09-06T06:58:22Z",
        "post_engagement_attribution_window": 30,
        "provider_app_event_id": "abc123",
        "updated_at": "2017-09-06T06:58:22Z",
        "os_type": "ANDROID",
        "deleted": false
      },
      "request": {
        "params": {
          "provider_app_event_name": "test-tag",
          "app_store_identifier": "com.twitter.android",
          "account_id": "18ce54d4x5t",
          "conversion_type": "PURCHASE",
          "provider_app_event_id": "abc123",
          "os_type": "ANDROID"
        }
      }
    }

DELETE accounts/:account_id/app_event_tags/:id

현재 계정에 속한 특정 App 이벤트 태그를 삭제합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_event_tags/:id
매개변수
NameDescription
account_id
required
레버리지 계정에 대한 식별자입니다. 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
id
required
요청에서 사용 중인 app event tag에 대한 참조입니다.

Type: string

Example: jhp
예시 요청
DELETE https://ads-api.x.com/12/accounts/18ce54d4x5t/app_event_tags/jhp
응답 예시
    {
      "data": {
        "provider_app_event_name": null,
        "app_store_identifier": "co.vine.android",
        "post_view_attribution_window": 1,
        "deep_link_scheme": "vine://",
        "id": "jhp",
        "retargeting_enabled": true,
        "conversion_type": "INSTALL",
        "created_at": "2016-12-08T07:49:58Z",
        "post_engagement_attribution_window": 14,
        "provider_app_event_id": null,
        "last_tracked_at": "2021-05-22T17:00:04Z",
        "status": "TRACKING",
        "updated_at": "2017-08-30T05:44:57Z",
        "os_type": "ANDROID",
        "deleted": true
      },
      "request": {
        "params": {
          "id": "jhp",
          "account_id": "5gvk9h"
        }
      }
    }

App 리스트

GET accounts/:account_id/app_lists

현재 계정과 관련된 일부 또는 전체 App 리스트에 대한 세부 정보를 조회합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_lists

매개변수

NameDescription
account_id
required
활용 중인 광고 계정의 식별자입니다. 리소스의 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정한 계정은 인증된 사용자와 연관되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
app_list_ids
optional
쉼표로 구분된 식별자 목록을 지정하여, 응답을 원하는 앱 리스트로만 한정합니다. 최대 200개의 ID를 제공할 수 있습니다.

Type: string

Example: wm7x
count
optional
각 요청마다 조회를 시도할 레코드 수를 지정합니다.

Type: int

Default: 200
Min, Max: 1, 1000
cursor
optional
다음 페이지의 결과를 가져오기 위한 커서를 지정합니다. 자세한 내용은 Pagination을 참고하세요.

Type: string

Example: 8x7v00oow
sort_by
optional
지원되는 속성을 기준으로 오름차순 또는 내림차순으로 정렬합니다. 자세한 내용은 Sorting을 참고하세요.

Type: string

Example: created_at-asc
with_deleted
optional
삭제된 결과를 요청에 포함합니다.

Type: boolean

Default: false
Possible values: true, false
with_total_count
optional
total_count 응답 속성을 포함합니다.

Note: 이 매개변수와 cursor는 동시에 사용할 수 없습니다.

Note: total_count를 포함하는 요청에는 더 낮은 요청 한도가 적용되며, 현재 15분당 200건으로 설정되어 있습니다.

Type: boolean

Default: false
Possible values: true, false
예시 요청
GET https://ads-api.x.com/12/accounts/18ce54d4x5t/app_lists?app_list_ids=wm7x
응답 예시
    {
      "request": {
        "params": {
          "app_list_ids": [
            "wm7x"
          ],
          "account_id": "18ce54d4x5t"
        }
      },
      "next_cursor": null,
      "data": [
        {
          "id": "wm7x",
          "name": "foo @ 14026528192426843"
        }
      ]
    }

GET accounts/:account_id/app_lists/:app_list_id

현재 계정에 연결된 특정 App 리스트를 조회합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_lists/:app_list_id
Parameters
NameDescription
account_id
required
대상 계정의 식별자입니다. 이 값은 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연결된 계정이어야 합니다.

Type: string

Example: 18ce54d4x5t
app_list_id
required
이 요청에서 사용하는 App 리스트를 가리키는 참조입니다.

Type: string

Example: 28ukf
with_deleted
optional
요청 결과에 삭제된 항목을 포함할지 여부입니다.

Type: boolean

Default: false
Possible values: true, false
예시 요청
GET https://ads-api.x.com/12/accounts/18ce54d4x5t/app_lists/28ukf
응답 예시
    {
      "data": {
        "name": "twitter @ 262689209670784",
        "id": "28ukf",
        "created_at": "2017-08-17T17:07:42Z",
        "updated_at": "2017-08-17T17:07:42Z",
        "deleted": false,
        "apps": [
          {
            "app_store_identifier": "com.twitter.android",
            "os_type": "Android"
          }
        ]
      },
      "request": {
        "params": {
          "app_list_id": "28ukf",
          "account_id": "18ce54d4x5t"
        }
      }
    }

POST accounts/:account_id/app_lists

현재 계정과 연결된 app_list를 생성합니다. 현재 account_id당 최대 100개의 app_list 객체와 app_list당 최대 500개의 앱이 허용됩니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_lists
매개변수
NameDescription
account_id
required
대상 계정의 식별자입니다. 리소스의 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정한 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
app_store_identifiers
required
app_list에 포함할 앱 스토어 식별자입니다.

Type: string

Example: com.twitter.android
name
required
app_list에 지정할 이름입니다.

Type: string

Example: My First App List
요청 예시
POST https://ads-api.x.com/12/accounts/18ce54d4x5t/app_lists?name=app list&app_store_identifiers=com.twitter.android
응답 예시
    {
      "data": {
        "name": "app list",
        "id": "2a4um",
        "created_at": "2017-09-06T07:17:26Z",
        "updated_at": "2017-09-06T07:17:26Z",
        "deleted": false,
        "apps": [
          {
            "app_store_identifier": "com.twitter.android",
            "os_type": "Android"
          }
        ]
      },
      "request": {
        "params": {
          "app_store_identifiers": [
            "com.twitter.android"
          ],
          "name": "app list",
          "account_id": "18ce54d4x5t"
        }
      }
    }

DELETE accounts/:account_id/app_lists/:app_list_id

현재 계정에 연결된 해당 App 리스트를 삭제합니다.
리소스 URL
https://ads-api.x.com/12/accounts/:account_id/app_lists/:app_list_id
Parameters
NameDescription
account_id
required
레버리지 계정의 식별자입니다. 리소스의 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
app_list_id
required
요청에서 사용 중인 앱 리스트를 참조하는 값입니다.

Type: string

Example: 28ukf
요청 예시
DELETE https://ads-api.x.com/12/accounts/18ce54d4x5t/app_lists/28ukf
응답 예시
    {
      "data": {
        "name": "twitter @ 262689209670784",
        "id": "28ukf",
        "created_at": "2017-08-17T17:07:42Z",
        "updated_at": "2017-09-12T22:20:33Z",
        "deleted": true,
        "apps": [
          {
            "app_store_identifier": "com.twitter.android",
            "os_type": "Android"
          }
        ]
      },
      "request": {
        "params": {
          "app_list_id": "28ukf",
          "account_id": "18ce54d4x5t"
        }
      }
    }

앱 이벤트 프로바이더 구성

GET accounts/:account_id/app_event_provider_configurations

현재 계정과 연결된 일부 또는 전체 app event provider configuration(모바일 애플리케이션 전환 추적(Mobile Application Conversion Tracking)을 위한 핵심 구성)의 세부 정보를 조회합니다.
리소스 URL
https://ads-api.x.com/11/accounts/:account_id/app_event_provider_configurations
매개변수
NameDescription
account_id
required
활용할 계정의 식별자입니다. 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정한 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
count
optional
각 요청마다 조회할 레코드 수를 지정합니다.

Type: int

Default: 200
Min, Max: 1, 1000
cursor
optional
다음 페이지 결과를 가져오기 위한 커서를 지정합니다. 자세한 내용은 Pagination을 참조하세요.

Type: string

Example: 8x7v00oow
ids
optional
쉼표로 구분된 식별자 목록을 지정하여 원하는 구성만 응답에 포함되도록 범위를 제한합니다. 최대 200개의 ID를 제공할 수 있습니다.

Type: string

Example: 25n
sort_by
optional
지원되는 속성을 기준으로 오름차순 또는 내림차순으로 정렬합니다. 자세한 내용은 Sorting을 참조하세요.

Type: string

Example: created_at-asc
with_deleted
optional
요청에 삭제된 결과도 포함합니다.

Type: boolean

Default: false
Possible values: true, false
with_total_count
optional
total_count 응답 속성을 포함합니다.

Note: 이 매개변수와 cursor는 동시에 사용할 수 없습니다.

Note: total_count를 포함하는 요청은 더 낮은 요청 한도가 적용되며, 현재 15분당 200건으로 설정되어 있습니다.

Type: boolean

Default: false
Possible values: true, false
예시 요청
GET https://ads-api.x.com/11/accounts/18ce54d4x5t/app_event_provider_configurations?ids=25n
응답 예시
    {
      "data": [
        {
          "provider_name": "Answers powered by Fabric",
          "id": "25n",
          "provider_advertiser_id": "54ac2766f0de9e1f7a00001a",
          "created_at": "2016-12-08T07:49:58Z",
          "provider_advertiser_identifier": "54ac2766f0de9e1f7a00001a",
          "updated_at": "2017-05-12T21:37:15Z",
          "deleted": false
        }
      ],
      "next_cursor": null,
      "request": {
        "params": {
          "ids": [
            "25n"
          ],
          "account_id": "18ce54d4x5t"
        }
      }
    }

GET accounts/:account_id/app_event_provider_configurations/:id

현재 계정과 연결된 이벤트 공급자 구성(모바일 애플리케이션 전환 추적을 위한 핵심 구성) 중 특정 id를 조회합니다.
리소스 URL
https://ads-api.x.com/11/accounts/:account_id/app_event_provider_configurations/:id
매개변수
NameDescription
account_id
required
레버리지 계정의 식별자입니다. 리소스의 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
id
required
요청에서 사용 중인 App 이벤트 공급자 구성에 대한 참조입니다.

Type: string

Example: 25n
with_deleted
optional
요청 결과에 삭제된 항목을 포함합니다.

Type: boolean

Default: false
Possible values: true, false
예제 요청
GET https://ads-api.x.com/11/accounts/18ce54d4x5t/app_event_provider_configurations/25n
응답 예시
    {
      "data_type": "app_event_provider_configuration",
      "data": {
        "provider_name": "API McTestface",
        "id": "25n",
        "provider_advertiser_id": "123",
        "created_at": "2017-03-24T22:24:56Z",
        "provider_advertiser_identifier": "123",
        "updated_at": "2017-03-24T22:24:56Z",
        "deleted": false
      },
      "request": {
        "params": {
          "id": "25n",
          "account_id": "18ce54d4x5t"
        }
      }
    }
POST accounts/:account_id/app_event_provider_configurations
현재 계정에 연결된 새 앱 이벤트 제공자 구성을 생성합니다. 하나의 MACT 제공자만 특정 광고 계정에 연결할 수 있습니다.
리소스 URL
https://ads-api.x.com/11/accounts/:account_id/app_event_provider_configurations
매개변수
NameDescription
account_id
required
레버리지 계정의 식별자입니다. 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정한 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
provider_advertiser_id
required
공급자 사이트에서 사용되는 광고주의 식별자입니다.

Type: string

Example: client1
예제 요청
POST https://ads-api.x.com/11/accounts/18ce54d4x5t/app_event_provider_configurations?provider_advertiser_id=client1
응답 예시
    {
      "data": {
        "provider_name": "InternalTestProvider",
        "id": "e5g",
        "provider_advertiser_id": "client1",
        "created_at": "2017-08-30T05:40:07Z",
        "provider_advertiser_identifier": "client1",
        "updated_at": "2017-09-06T06:39:03Z",
        "deleted": false
      },
      "request": {
        "params": {
          "provider_advertiser_id": "client1",
          "account_id": "18ce54d4x5t"
        }
      }
    }

DELETE accounts/:account_id/app_event_provider_configurations/:id[¶]

현재 계정에 속한 지정된 앱 이벤트 제공자 구성을 삭제합니다.
리소스 URL
https://ads-api.x.com/11/accounts/:account_id/app_event_provider_configurations/:id
매개변수
NameDescription
account_id
required
레버리지드 계정의 식별자입니다. 이 값은 리소스 경로에 포함되며, GET accounts를 제외한 모든 Advertiser API 요청에서 일반적으로 필수 매개변수입니다. 지정된 계정은 인증된 사용자와 연결되어 있어야 합니다.

Type: string

Example: 18ce54d4x5t
id
required
요청에서 사용 중인 app event provider 구성(app event provider configuration)에 대한 참조입니다.

Type: string

Example: e5g
예시 요청
DELETE https://ads-api.x.com/11/accounts/18ce54d4x5t/app_event_provider_configurations/e5g
응답 예시
    {
      "data": {
        "provider_name": "InternalTestProvider",
        "id": "e5g",
        "provider_advertiser_id": "client1",
        "created_at": "2017-08-30T05:40:07Z",
        "provider_advertiser_identifier": "client1",
        "updated_at": "2017-08-30T05:40:26Z",
        "deleted": true
      },
      "request": {
        "params": {
          "id": "e5g",
          "account_id": "18ce54d4x5t"
        }
      }
    }

전환 기여도

GET conversion_attribution

전환 이벤트를 기록하지 않고 전환 기여도를 확인하기 위해 X에 쿼리를 보냅니다. 응답에는 X 기여 여부가 표시됩니다. 이는 POST conversion_event 엔드포인트와 관련이 있습니다. 응답에서는 X, TAP 또는 기여 없음 중 하나의 기여가 지정됩니다. X 기여가 없는 경우 twitter_attribution 노드는 항상 존재하며 값이 null이고, 아래 예시 응답에서 볼 수 있듯 기여가 있는 경우 해당 값으로 채워집니다. TAP 기여가 지정된 경우 tpn_attribution 노드가 존재하며 그에 맞게 채워집니다. 자세한 내용은 TAP 개요를 참고하세요.
리소스 URL
https://ads-api.x.com/12/conversion_attribution
Parameters
NameDescription
app_id
required
해당 앱 스토어에서 사용하는 고유 식별자입니다.

Type: int, string

Example: 333903271, com.vine.android
conversion_time
required
밀리초까지 포함하는 ISO-8601 타임스탬프 형식의 전환 이벤트 시간입니다.

Type: string

Example: 2014-05-22T02:38:28.103Z
conversion_type
required
전환 이벤트의 유형입니다.

Type: enum

Possible values: ACHIEVEMENT_UNLOCKED, ADDED_PAYMENT_INFO, ADD_TO_CART, ADD_TO_WISHLIST, CHECKOUT_INITIATED, CONTENT_VIEW, INSTALL, INVITE, LEVEL_ACHIEVED, LOGIN, PURCHASE, RATED, RESERVATION, RE_ENGAGE, SEARCH, SHARE, SIGN_UP, SPENT_CREDITS, TUTORIAL_COMPLETE, UPDATE
hashed_device_id
required
HMAC_SHA-256으로 해시된 IDFA 또는 AdID입니다.

Type: string

Example: ABCD1234XYZ
os_type
required
앱의 OS 유형입니다.

Type: enum

Possible values: IOS, ANDROID
click_window
optional
이 이벤트에 대한 클릭 윈도우(일 단위)입니다.

Type: int

Default: 14
Possible values: 1, 7, 14, 30
extra_device_ids
optional
hashed_device_id로 전달된 디바이스 ID의 SHA1 값을 다시 SHA256으로 해시한 값과, 추가적인 해시된 디바이스 ID입니다.

Type: string

Example: ABCD1234XYZ, DCBA4321XYZ
non_twitter_engagement_time
optional
전환 이전에 발생한 마지막 non-twitter 참여(engagement) 시간입니다.

Type: string

Example: 2014-05-22T02:38:28.103Z
non_twitter_engagement_type
optional
전환 이벤트 이전의 non-twitter 참여(engagement) 유형입니다.

Type: enum

Possible values: CLICK, VIEW
view_through_window
optional
이 이벤트에 대한 뷰 스루 윈도우(일 단위)입니다.

Type: int

Default: 1
Possible values: 0, 1, 7, 14, 30
요청 예시
GET https://ads-api.x.com/12/conversion_attribution?app_id=333903271&os_type=IOS&hashed_device_id=ABCD1234XYZ&conversion_type=INSTALL&conversion_time=2013-04-16T07:00:00.123Z&click_window=14&view_through_window=0
응답 예시
    {
      data:{
        "app_id":"333903271",
        "os_type":"IOS",
        "hashed_device_id":"ABCD1234XYZ",
        "conversion_type":"INSTALL",
        "partner_client_id":"123abc",
        "conversion_time":"2013-04-16T07:00:00.123Z",
        "click_window":14,
        "view_through_window":0,
        "extra_device_ids":null,
        "twitter_attribution":{
          "engagement_type":"VIEW",
          "engagement_time":"2013-04-16T07:00:00.123Z",
          "country_code":"US",
          "tweet_id":"383034667764441088",
          "attribution_type":"PROMOTED",
          "promoted_properties":{
            "campaign_id”: “54a21",
            "campaign_name":"Vine_Contest",
            "line_item_id":"23ab2d4"
          }
        }
      },
      "data_type":"conversion_attribution",
      "request":{
        "params":{
          "app_id":"333903271",
          "os_type":"IOS",
          "hashed_device_id":"ABCD1234XYZ",
          "conversion_time":"2013-04-16T07:00:00.123Z",
          "conversion_type":"INSTALL",
          "click_window":14,
          "view_through_window":0
        }
      }
    }